fr::ssl::SSL_set_bio(3SSL)

NOM
SSL_set_bio - Connecter un objet SSL avec un BIO

SYNOPSIS
#include <openssl/ssl.h>

void SSL_set_bio(SSL *ssl, BIO *rbio, BIO *wbio);

DESCRIPTION
SSL_set_bio() connecte les BIO rbio et wbio pour les opérations de lecture et écriture du côté TLS/SSL (chiffré) de ssl.

Le moteur SSL hérite du comportement de rbio et wbio, respectivement. Si un BIO n'est pas bloquant, ssl aura également un comportement non bloquant.

Si un BIO était déjà connecté à ssl, BIO_free() sera appelée (pour le BIO de lecture et celui d'écriture s'ils sont différents).

VALEURS DE RETOUR
SSL_set_bio() ne peut pas échouer.

VOIR AUSSI
SSL_get_rbio(3), SSL_connect(3), SSL_accept(3), SSL_shutdown(3), ssl(3), bio(3)

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.